---
title: HTMLFormElement.enctype
slug: Web/API/HTMLFormElement/enctype
tags:
  - API
  - HTML DOM
  - HTMLFormElement
  - NeedsSpecTable
  - Property
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>HTMLFormElement.enctype</strong></code> property is the <a href="http://en.wikipedia.org/wiki/Mime_type">MIME type</a> of content that is used to submit the form to the server. Possible values are:</p>

<ul>
 <li><code>application/x-www-form-urlencoded</code>: The initial default type.</li>
 <li><code>multipart/form-data</code>: The type that allows file {{HTMLElement("input")}} element(s) to upload file data.</li>
 <li><code>text/plain</code>: A type introduced in HTML5.</li>
</ul>

<p>This value can be overridden by a {{htmlattrxref("formenctype", "button")}} attribute on a {{HTMLElement("button")}} or {{HTMLElement("input")}} element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>string</em> = <em>form</em>.enctype;
<em>form</em>.enctype = <em>string</em>;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">form.enctype = 'application/x-www-form-urlencoded';</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-fs-enctype', 'HTMLFormElement: enctype')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLFormElement.enctype")}}</p>
